12 berichten aan het bekijken - 1 tot 12 (van in totaal 12)
  • Q:

    Bijdrager
    sedikit

    OS 9 installeren op iBook G4

    In mijn naaste omgeving zit iemand met dit probleem:

    Op zijn iBook G4 (zie screenshot) staat OS X 10.5.8. Hij wil er ook OS 9.2.2 op zetten. Met de intall disk krijgt hij allerlei foutmeldingen waardoor het onmogelijk lijkt. Wie kan mij vertellen hoe hij het moet aanpakken. Ikzelf dacht aan de OS X 10.5.8 eerst eraf gooien, daarna twee partities maken. Eerst op de ene partitie OS 9, en daarna op de tweede partitie de OS X 10.5.8 (of omgekeerd?).

    Wie weet het beter? Alvast mijn dank!!

     


    Bijdrager
    hendrik ijzerbroot

    Ik weet niet wat je bedoeld met “allerlei foutmeldingen”, maar welke install disk gebruikt hij voor OS-9? Als dat de bekende grijze is werkt dat alleen op het model Mac waar de disk meegeleverd werd.

    Ook is er geloof ik een tijd geweest waarin het noodzakelijk was OS-X op de eerste tracks te zetten (d.w..z. op een lege schijf).

    In ieder geval heb je sowieso twee partities (of schijven) nodig als je twee OS’en wilt installeren. En hij kan dan ook eerst e.v.t. eerst een kloon maken van 10.5


    Bijdrager
    sedikit

    @hendrik ijzerbroot, ik zal je antwoord aan hem doorgeven. Ik laat zijn reactie wel weten (kan even duren,


    Bijdrager
    Nikita

    Bij mijn weten ondersteund de iBook G4 alleen Classic modus. Ze kunnen niet booten vanaf een OS 9 installatie.


    Bijdrager
    sedikit

    @nikita bedankt! Hij stuurde mij een foto op met de cd’s/dvd’s waarmee hij OS 9 erop wilde zetten. Blijken allemaal OS X’en te zijn (zie foto)! Ik heb hem nu een kopie van de Install dvd┬á 9.2.2 Multilingual opgestuurd. Ik en jullie horen het verder wel hoe het afloopt.

     


    Bijdrager
    hendrik ijzerbroot

    <p class=”cite”>Nikita op 22 maart 2019 om 06:36</p>
    Bij mijn weten ondersteund de iBook G4 alleen Classic modus. Ze kunnen niet booten vanaf een OS 9 installatie.

    Klopt.

    En de laatste “classic mode” werd geleverd met 10.4 waarmee deze iBook werd geleverd (of mogelijk zelfs 10.3.x). Aangezien hier inmiddels 10.5 op staat gaat het zo niet lukken. Als hij met beide wilt werken (OS-X native dus en OS-9 in Classic modus) dan moet hij het origineel meegeleverde OS terug zetten. Dat is dus 10.4 of bij een wat ouder model 10.3.


    Bijdrager
    sedikit

    Dank! Ik heb alle reacties doorgegeven. Rest mij nog deze vraag:

    Is het nodig

    -de schijf eerst te wissen?

    -de schijf daarna partitioneren?

    -dat dan sowieso eerst OS X 10.4 (Tiger) moet worden geïnstalleerd?

    -of kan het OS 9 meteen op de gewiste schijf worden geïnstalleerd?


    Bijdrager
    Nikita

    – Als je Classic wilt installeren dan moet je terug naar OSX 10.4 want 10.5 heeft daar ├╝berhaupt geen ondersteuning meer voor, dus zal je inderdaad de HDD moeten wissen tijdens de installatie.

     

    – Nee, opnieuw partitioneren is niet nodig. Enkel wissen volstaat.

     

    – Tiger dient inderdaad als eerste te worden ge├»nstalleerd.

     

    – Om Classic te gebruiken kan je vervolgens vanaf een installatieschijf gewoon de OS9 systeemmap op de HDD zetten. Kwestie van kopi├źren, er hoeft verder geen installatie hiervoor te worden doorlopen. Daarna wel in Systeemvoorkeuren even OS X naar die Classic-systeemmap verwijzen.

     

    Nogmaals: een iBook G4 heeft nooit en kan nooit direct opstarten naar OS 9. Alleen de Classic omgeving werkt dus. De meeste OS 9 programma’s werken dan prima. Wil de persoon in kwestie echter native OS 9 draaien, dan kan dat wel op de allereerste iMac G4, of de meeste modellen Power Mac G4. En alle G3 modellen natuurlijk.


    Bijdrager
    sedikit

    @nikita, Heel erg bedankt!! Ik heb je reactie meteen doorgestuurd. Het moet volgens mij zo lukken. Of dat straks het geval is, laat ik hier dan wel weten.


    Bijdrager
    JoopJoopJoop

    Deze heb ik nog, die kan het…


    Bijdrager
    sedikit

    @joopjoopjoop, die heb ik ook nog (als reserve). Ook d├í├ír staat OS 9 op, naast OS X 10.4. Alleen is die installatie zo lang geleden, dat ik was vergeten hoe dat ook weer ging. En dat OS X niet hoger mocht zijn dan OS X 10.4 ook dat was ik vergeten…. Nu herinner ik me weer dat ik OS X 10.5 erop wilde zetten, maar dat dat niet ging.

     

    Edit: Hij heeft van alles geprobeerd, maar kreeg steeds een kernel panic melding. Volgens mij te weinig geheugen, 768 MB. Hij heeft hem nu op een andere laptop gezet (ik weet niet welke) en daar doet de 9.2.2 het wel op. Beschouw dit pron=bleem maar als opgelost. Met dank aan iedereen die de oplossing zocht/gaf!!


    Bijdrager
    sedikit

    Wel weer symptomatisch voor de werking van OMT:

    “bewerken” is in mijn topic uitgeschakeld, zodat ik in de topic-titel niet “[opgelost!] “kan toevoegen. Heb over dit mankement een mail gestuurd (Contact/redactie@onemorething.nl) Enl: (natuurlijk) gewoon geen antwoord. Allemachtig, hoe lang duren dit soort bugs hier nu al……..

12 berichten aan het bekijken - 1 tot 12 (van in totaal 12)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.